Index: serefpolicy-contrib-20140730/openvpn.te
===================================================================
--- serefpolicy-contrib-20140730.orig/openvpn.te
+++ serefpolicy-contrib-20140730/openvpn.te
@@ -1,4 +1,4 @@
-policy_module(openvpn, 1.13.0)
+policy_module(openvpn, 1.12.2)
 
 ########################################
 #
@@ -6,6 +6,13 @@ policy_module(openvpn, 1.13.0)
 #
 
 ## <desc>
+## <p>
+## Allow openvpn to run unconfined scripts
+## </p>
+## </desc>
+gen_tunable(openvpn_run_unconfined, false)
+
+## <desc>
 ##	<p>
 ##	Determine whether openvpn can
 ##	read generic user home content files.
@@ -19,7 +26,7 @@ gen_tunable(openvpn_enable_homedirs, fal
 ##	connect to the TCP network.
 ##	</p>
 ## </desc>
-gen_tunable(openvpn_can_network_connect, false)
+gen_tunable(openvpn_can_network_connect, true)
 
 attribute_role openvpn_roles;
 
@@ -40,6 +47,9 @@ init_script_file(openvpn_initrc_exec_t)
 type openvpn_status_t;
 logging_log_file(openvpn_status_t)
 
+type openvpn_var_lib_t;
+files_type(openvpn_var_lib_t)
+
 type openvpn_tmp_t;
 files_tmp_file(openvpn_tmp_t)
 
@@ -54,7 +64,7 @@ files_pid_file(openvpn_var_run_t)
 # Local policy
 #
 
-allow openvpn_t self:capability { dac_read_search dac_override ipc_lock net_admin setgid setuid sys_chroot sys_tty_config sys_nice };
+allow openvpn_t self:capability { dac_read_search dac_override ipc_lock net_bind_service net_admin setgid setuid sys_chroot sys_tty_config sys_nice };
 allow openvpn_t self:process { signal getsched setsched };
 allow openvpn_t self:fifo_file rw_fifo_file_perms;
 allow openvpn_t self:unix_dgram_socket sendto;
@@ -73,13 +83,17 @@ filetrans_pattern(openvpn_t, openvpn_etc
 allow openvpn_t openvpn_status_t:file manage_file_perms;
 logging_log_filetrans(openvpn_t, openvpn_status_t, file, "openvpn-status.log")
 
+manage_files_pattern(openvpn_t, openvpn_tmp_t, openvpn_tmp_t)
+files_tmp_filetrans(openvpn_t, openvpn_tmp_t, file)
+
+manage_files_pattern(openvpn_t, openvpn_var_lib_t, openvpn_var_lib_t)
+files_var_lib_filetrans(openvpn_t, openvpn_var_lib_t, { dir file })
+
 allow openvpn_t openvpn_tmp_t:file manage_file_perms;
 files_tmp_filetrans(openvpn_t, openvpn_tmp_t, file)
 
 manage_dirs_pattern(openvpn_t, openvpn_var_log_t, openvpn_var_log_t)
-append_files_pattern(openvpn_t, openvpn_var_log_t, openvpn_var_log_t)
-create_files_pattern(openvpn_t, openvpn_var_log_t, openvpn_var_log_t)
-setattr_files_pattern(openvpn_t, openvpn_var_log_t, openvpn_var_log_t)
+manage_files_pattern(openvpn_t, openvpn_var_log_t, openvpn_var_log_t)
 logging_log_filetrans(openvpn_t, openvpn_var_log_t, file)
 
 manage_dirs_pattern(openvpn_t, openvpn_var_run_t, openvpn_var_run_t)
@@ -97,7 +111,6 @@ kernel_request_load_module(openvpn_t)
 corecmd_exec_bin(openvpn_t)
 corecmd_exec_shell(openvpn_t)
 
-corenet_all_recvfrom_unlabeled(openvpn_t)
 corenet_all_recvfrom_netlabel(openvpn_t)
 corenet_tcp_sendrecv_generic_if(openvpn_t)
 corenet_udp_sendrecv_generic_if(openvpn_t)
@@ -117,13 +130,15 @@ corenet_udp_sendrecv_openvpn_port(openvp
 corenet_sendrecv_http_server_packets(openvpn_t)
 corenet_tcp_bind_http_port(openvpn_t)
 corenet_sendrecv_http_client_packets(openvpn_t)
+corenet_tcp_connect_squid_port(openvpn_t)
 corenet_tcp_connect_http_port(openvpn_t)
 corenet_tcp_sendrecv_http_port(openvpn_t)
-
 corenet_sendrecv_http_cache_client_packets(openvpn_t)
 corenet_tcp_connect_http_cache_port(openvpn_t)
 corenet_tcp_sendrecv_http_cache_port(openvpn_t)
 
+corenet_tcp_connect_tor_port(openvpn_t)
+
 corenet_rw_tun_tap_dev(openvpn_t)
 
 dev_read_rand(openvpn_t)
@@ -135,18 +150,24 @@ fs_search_auto_mountpoints(openvpn_t)
 
 auth_use_pam(openvpn_t)
 
-miscfiles_read_localization(openvpn_t)
+logging_send_syslog_msg(openvpn_t)
+
 miscfiles_read_all_certs(openvpn_t)
 
+sysnet_dns_name_resolve(openvpn_t)
 sysnet_exec_ifconfig(openvpn_t)
 sysnet_manage_config(openvpn_t)
 sysnet_etc_filetrans_config(openvpn_t)
 sysnet_use_ldap(openvpn_t)
 
-userdom_use_user_terminals(openvpn_t)
+userdom_use_inherited_user_terminals(openvpn_t)
+userdom_read_home_certs(openvpn_t)
+userdom_attach_admin_tun_iface(openvpn_t)
+userdom_read_inherited_user_tmp_files(openvpn_t)
+userdom_read_inherited_user_home_content_files(openvpn_t)
 
 tunable_policy(`openvpn_enable_homedirs',`
-	userdom_read_user_home_content_files(openvpn_t)
+	userdom_search_user_home_dirs(openvpn_t)
 ')
 
 tunable_policy(`openvpn_enable_homedirs && use_nfs_home_dirs',`
@@ -164,6 +185,10 @@ tunable_policy(`openvpn_can_network_conn
 ')
 
 optional_policy(`
+	brctl_domtrans(openvpn_t)
+')
+
+optional_policy(`
 	daemontools_service_domain(openvpn_t, openvpn_exec_t)
 ')
 
@@ -175,3 +200,27 @@ optional_policy(`
 		networkmanager_dbus_chat(openvpn_t)
 	')
 ')
+
+optional_policy(`
+	unconfined_attach_tun_iface(openvpn_t)
+')
+
+type openvpn_unconfined_script_t;
+type openvpn_unconfined_script_exec_t;
+domain_type(openvpn_unconfined_script_t)
+domain_entry_file(openvpn_unconfined_script_t, openvpn_unconfined_script_exec_t)
+corecmd_shell_entry_type(openvpn_unconfined_script_t)
+role system_r types openvpn_unconfined_script_t;
+
+allow openvpn_t openvpn_unconfined_script_exec_t:dir search_dir_perms;
+allow openvpn_t openvpn_unconfined_script_exec_t:file ioctl;
+
+optional_policy(`
+	unconfined_domain(openvpn_unconfined_script_t)
+')
+
+tunable_policy(`openvpn_run_unconfined',`
+		domtrans_pattern(openvpn_t, openvpn_unconfined_script_exec_t, openvpn_unconfined_script_t)
+',`
+	can_exec(openvpn_t, openvpn_unconfined_script_exec_t)
+')
Index: serefpolicy-contrib-20140730/openvswitch.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/openvswitch.fc
+++ serefpolicy-contrib-20140730/openvswitch.fc
@@ -1,12 +1,16 @@
-/etc/rc\.d/init\.d/openvswitch	--	gen_context(system_u:object_r:openvswitch_initrc_exec_t,s0)
+/usr/lib/systemd/system/openvswitch.service		--	gen_context(system_u:object_r:openvswitch_unit_file_t,s0)
 
-/etc/openvswitch(/.*)?	gen_context(system_u:object_r:openvswitch_conf_t,s0)
+/usr/share/openvswitch/scripts/ovs-ctl --	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/usr/bin/ovs-vsctl		--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/usr/sbin/ovsdb-ctl		--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/usr/sbin/ovsdb-server		--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/usr/sbin/ovs-vswitchd		--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/usr/bin/ovs-appctl		--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
 
-/usr/share/openvswitch/scripts/ovs-ctl	--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
-/usr/share/openvswitch/scripts/openvswitch\.init	--	gen_context(system_u:object_r:openvswitch_exec_t,s0)
+/var/lib/openvswitch(/.*)?		gen_context(system_u:object_r:openvswitch_var_lib_t,s0)
 
-/var/lib/openvswitch(/.*)?	gen_context(system_u:object_r:openvswitch_var_lib_t,s0)
+/var/log/openvswitch(/.*)?		gen_context(system_u:object_r:openvswitch_log_t,s0)
 
-/var/log/openvswitch(/.*)?	gen_context(system_u:object_r:openvswitch_log_t,s0)
+/var/run/openvswitch(/.*)?		gen_context(system_u:object_r:openvswitch_var_run_t,s0)
 
-/var/run/openvswitch(/.*)?	gen_context(system_u:object_r:openvswitch_var_run_t,s0)
+/etc/openvswitch(/.*)?		gen_context(system_u:object_r:openvswitch_rw_t,s0)
Index: serefpolicy-contrib-20140730/openvswitch.if
===================================================================
--- serefpolicy-contrib-20140730.orig/openvswitch.if
+++ serefpolicy-contrib-20140730/openvswitch.if
@@ -1,13 +1,14 @@
-## <summary>Multilayer virtual switch.</summary>
+
+## <summary>policy for openvswitch</summary>
 
 ########################################
 ## <summary>
-##	Execute openvswitch in the openvswitch domain.
+##	Execute TEMPLATE in the openvswitch domin.
 ## </summary>
 ## <param name="domain">
-##	<summary>
+## <summary>
 ##	Domain allowed to transition.
-##	</summary>
+## </summary>
 ## </param>
 #
 interface(`openvswitch_domtrans',`
@@ -18,10 +19,145 @@ interface(`openvswitch_domtrans',`
 	corecmd_search_bin($1)
 	domtrans_pattern($1, openvswitch_exec_t, openvswitch_t)
 ')
+########################################
+## <summary>
+##	Read openvswitch's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`openvswitch_read_log',`
+	gen_require(`
+		type openvswitch_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, openvswitch_log_t, openvswitch_log_t)
+')
+
+########################################
+## <summary>
+##	Append to openvswitch log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_append_log',`
+	gen_require(`
+		type openvswitch_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, openvswitch_log_t, openvswitch_log_t)
+')
 
 ########################################
 ## <summary>
-##	Read openvswitch pid files.
+##	Manage openvswitch log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_manage_log',`
+	gen_require(`
+		type openvswitch_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, openvswitch_log_t, openvswitch_log_t)
+	manage_files_pattern($1, openvswitch_log_t, openvswitch_log_t)
+	manage_lnk_files_pattern($1, openvswitch_log_t, openvswitch_log_t)
+')
+
+########################################
+## <summary>
+##	Search openvswitch lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_search_lib',`
+	gen_require(`
+		type openvswitch_var_lib_t;
+	')
+
+	allow $1 openvswitch_var_lib_t:dir search_dir_perms;
+	files_search_var_lib($1)
+')
+
+########################################
+## <summary>
+##	Read openvswitch lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_read_lib_files',`
+	gen_require(`
+		type openvswitch_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	read_files_pattern($1, openvswitch_var_lib_t, openvswitch_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage openvswitch lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_manage_lib_files',`
+	gen_require(`
+		type openvswitch_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, openvswitch_var_lib_t, openvswitch_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Manage openvswitch lib directories.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_manage_lib_dirs',`
+	gen_require(`
+		type openvswitch_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_dirs_pattern($1, openvswitch_var_lib_t, openvswitch_var_lib_t)
+')
+
+########################################
+## <summary>
+##	Read openvswitch PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -40,44 +176,86 @@ interface(`openvswitch_read_pid_files',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an openvswitch environment.
+##	Allow stream connect to openvswitch.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+
+interface(`openvswitch_stream_connect',`
+    gen_require(`
+            type openvswitch_t, openvswitch_var_run_t;
+                ')
+
+    files_search_pids($1)
+    stream_connect_pattern($1, openvswitch_var_run_t, openvswitch_var_run_t, openvswitch_t)
+')
+
+########################################
+## <summary>
+##	Execute openvswitch server in the openvswitch domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`openvswitch_systemctl',`
+	gen_require(`
+		type openvswitch_t;
+		type openvswitch_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	allow $1 openvswitch_unit_file_t:file read_file_perms;
+	allow $1 openvswitch_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, openvswitch_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an openvswitch environment
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`openvswitch_admin',`
 	gen_require(`
-		type openvswitch_t, openvswitch_initrc_exec_t, openvswitch_conf_t;
-		type openvswitch_var_lib_t, openvswitch_log_t, openvswitch_var_run_t;
+		type openvswitch_t, openvswitch_log_t, openvswitch_var_lib_t;
+		type openvswitch_rw_t, openvswitch_var_run_t, openvswitch_unit_file_t;
 	')
 
 	allow $1 openvswitch_t:process { ptrace signal_perms };
 	ps_process_pattern($1, openvswitch_t)
 
-	init_labeled_script_domtrans($1, openvswitch_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 openvswitch_initrc_exec_t system_r;
-	allow $2 system_r;
+	logging_search_logs($1)
+	admin_pattern($1, openvswitch_rw_t)
 
-	files_search_etc($1)
-	admin_pattern($1, openvswitch_conf_t)
+	logging_search_logs($1)
+	admin_pattern($1, openvswitch_log_t)
 
 	files_search_var_lib($1)
 	admin_pattern($1, openvswitch_var_lib_t)
 
-	logging_search_logs($1)
-	admin_pattern($1, openvswitch_log_t)
-
 	files_search_pids($1)
 	admin_pattern($1, openvswitch_var_run_t)
+
+	openvswitch_systemctl($1)
+	admin_pattern($1, openvswitch_unit_file_t)
+	allow $1 openvswitch_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/openvswitch.te
===================================================================
--- serefpolicy-contrib-20140730.orig/openvswitch.te
+++ serefpolicy-contrib-20140730/openvswitch.te
@@ -1,4 +1,4 @@
-policy_module(openvswitch, 1.2.0)
+policy_module(openvswitch, 1.1.1)
 
 ########################################
 #
@@ -9,11 +9,8 @@ type openvswitch_t;
 type openvswitch_exec_t;
 init_daemon_domain(openvswitch_t, openvswitch_exec_t)
 
-type openvswitch_initrc_exec_t;
-init_script_file(openvswitch_initrc_exec_t)
-
-type openvswitch_conf_t;
-files_config_file(openvswitch_conf_t)
+type openvswitch_rw_t;
+files_config_file(openvswitch_rw_t)
 
 type openvswitch_var_lib_t;
 files_type(openvswitch_var_lib_t)
@@ -27,20 +24,28 @@ files_tmp_file(openvswitch_tmp_t)
 type openvswitch_var_run_t;
 files_pid_file(openvswitch_var_run_t)
 
+type openvswitch_unit_file_t;
+systemd_unit_file(openvswitch_unit_file_t)
+
 ########################################
 #
-# Local policy
+# openvswitch local policy
 #
 
-allow openvswitch_t self:capability { net_admin sys_nice sys_resource ipc_lock };
-allow openvswitch_t self:process { setrlimit setsched signal };
+allow openvswitch_t self:capability { net_admin ipc_lock sys_module sys_nice sys_resource };
+allow openvswitch_t self:capability2 block_suspend;
+allow openvswitch_t self:process { fork setsched setrlimit signal };
 allow openvswitch_t self:fifo_file rw_fifo_file_perms;
-allow openvswitch_t self:rawip_socket create_socket_perms;
-allow openvswitch_t self:unix_stream_socket { accept connectto listen };
+allow openvswitch_t self:unix_stream_socket { create_stream_socket_perms connectto };
+allow openvswitch_t self:tcp_socket create_stream_socket_perms;
+allow openvswitch_t self:netlink_socket create_socket_perms;
+allow openvswitch_t self:netlink_route_socket rw_netlink_socket_perms;
 
-manage_dirs_pattern(openvswitch_t, openvswitch_conf_t, openvswitch_conf_t)
-manage_files_pattern(openvswitch_t, openvswitch_conf_t, openvswitch_conf_t)
-manage_lnk_files_pattern(openvswitch_t, openvswitch_conf_t, openvswitch_conf_t)
+can_exec(openvswitch_t, openvswitch_exec_t)
+
+manage_dirs_pattern(openvswitch_t, openvswitch_rw_t, openvswitch_rw_t)
+manage_files_pattern(openvswitch_t, openvswitch_rw_t, openvswitch_rw_t)
+manage_lnk_files_pattern(openvswitch_t, openvswitch_rw_t, openvswitch_rw_t)
 
 manage_dirs_pattern(openvswitch_t, openvswitch_var_lib_t, openvswitch_var_lib_t)
 manage_files_pattern(openvswitch_t, openvswitch_var_lib_t, openvswitch_var_lib_t)
@@ -48,9 +53,7 @@ manage_lnk_files_pattern(openvswitch_t,
 files_var_lib_filetrans(openvswitch_t, openvswitch_var_lib_t, { dir file lnk_file })
 
 manage_dirs_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
-append_files_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
-create_files_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
-setattr_files_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
+manage_files_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
 manage_lnk_files_pattern(openvswitch_t, openvswitch_log_t, openvswitch_log_t)
 logging_log_filetrans(openvswitch_t, openvswitch_log_t, { dir file lnk_file })
 
@@ -65,33 +68,42 @@ manage_sock_files_pattern(openvswitch_t,
 manage_lnk_files_pattern(openvswitch_t, openvswitch_var_run_t, openvswitch_var_run_t)
 files_pid_filetrans(openvswitch_t, openvswitch_var_run_t, { dir file lnk_file })
 
-can_exec(openvswitch_t, openvswitch_exec_t)
-
 kernel_read_network_state(openvswitch_t)
 kernel_read_system_state(openvswitch_t)
+kernel_request_load_module(openvswitch_t)
 
-corenet_all_recvfrom_unlabeled(openvswitch_t)
-corenet_all_recvfrom_netlabel(openvswitch_t)
-corenet_raw_sendrecv_generic_if(openvswitch_t)
-corenet_raw_sendrecv_generic_node(openvswitch_t)
+corenet_tcp_connect_openflow_port(openvswitch_t)
+corenet_tcp_bind_generic_node(openvswitch_t)
+corenet_tcp_bind_openvswitch_port(openvswitch_t)
 
 corecmd_exec_bin(openvswitch_t)
+corecmd_exec_shell(openvswitch_t)
 
+dev_read_rand(openvswitch_t)
 dev_read_urand(openvswitch_t)
+dev_read_sysfs(openvswitch_t)
 
 domain_use_interactive_fds(openvswitch_t)
 
-files_read_etc_files(openvswitch_t)
+files_read_kernel_modules(openvswitch_t)
 
 fs_getattr_all_fs(openvswitch_t)
 fs_search_cgroup_dirs(openvswitch_t)
 
+auth_read_passwd(openvswitch_t)
+
 logging_send_syslog_msg(openvswitch_t)
 
-miscfiles_read_localization(openvswitch_t)
+modutils_exec_insmod(openvswitch_t)
+modutils_list_module_config(openvswitch_t)
+modutils_read_module_config(openvswitch_t)
 
 sysnet_dns_name_resolve(openvswitch_t)
 
 optional_policy(`
 	iptables_domtrans(openvswitch_t)
 ')
+
+optional_policy(`
+    plymouthd_exec_plymouth(openvswitch_t)
+')
Index: serefpolicy-contrib-20140730/openwsman.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openwsman.fc
@@ -0,0 +1,7 @@
+/usr/lib/systemd/system/openwsmand.*		--	gen_context(system_u:object_r:openwsman_unit_file_t,s0)
+
+/usr/sbin/openwsmand		--	gen_context(system_u:object_r:openwsman_exec_t,s0)
+
+/var/log/wsmand.*	--	gen_context(system_u:object_r:openwsman_log_t,s0)
+
+/var/run/wsmand.*	--	gen_context(system_u:object_r:openwsman_run_t,s0)
Index: serefpolicy-contrib-20140730/openwsman.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openwsman.if
@@ -0,0 +1,78 @@
+## <summary>WS-Management Server</summary>
+
+########################################
+## <summary>
+##	Execute openwsman in the openwsman domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`openwsman_domtrans',`
+	gen_require(`
+		type openwsman_t, openwsman_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, openwsman_exec_t, openwsman_t)
+')
+########################################
+## <summary>
+##	Execute openwsman server in the openwsman domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`openwsman_systemctl',`
+	gen_require(`
+		type openwsman_t;
+		type openwsman_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+    systemd_read_fifo_file_passwd_run($1)
+	allow $1 openwsman_unit_file_t:file read_file_perms;
+	allow $1 openwsman_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, openwsman_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an openwsman environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`openwsman_admin',`
+	gen_require(`
+		type openwsman_t;
+	    type openwsman_unit_file_t;
+	')
+
+	allow $1 openwsman_t:process { signal_perms };
+	ps_process_pattern($1, openwsman_t)
+
+    tunable_policy(`deny_ptrace',`',`
+        allow $1 openwsman_t:process ptrace;
+    ')
+
+	openwsman_systemctl($1)
+	admin_pattern($1, openwsman_unit_file_t)
+	allow $1 openwsman_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/openwsman.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/openwsman.te
@@ -0,0 +1,74 @@
+policy_module(openwsman, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type openwsman_t;
+type openwsman_exec_t;
+init_daemon_domain(openwsman_t, openwsman_exec_t)
+
+type openwsman_tmp_t;
+files_tmp_file(openwsman_tmp_t)
+
+type openwsman_tmpfs_t;
+files_tmpfs_file(openwsman_tmpfs_t)
+
+type openwsman_log_t;
+logging_log_file(openwsman_log_t)
+
+type openwsman_run_t;
+files_pid_file(openwsman_run_t)
+
+type openwsman_unit_file_t;
+systemd_unit_file(openwsman_unit_file_t)
+
+########################################
+#
+# openwsman local policy
+#
+
+allow openwsman_t self:capability setuid;
+
+allow openwsman_t self:process { fork };
+allow openwsman_t self:fifo_file rw_fifo_file_perms;
+allow openwsman_t self:unix_stream_socket create_stream_socket_perms;
+allow openwsman_t self:tcp_socket { create_socket_perms accept listen };
+
+manage_files_pattern(openwsman_t, openwsman_tmp_t, openwsman_tmp_t)
+manage_dirs_pattern(openwsman_t, openwsman_tmp_t, openwsman_tmp_t)
+files_tmp_filetrans(openwsman_t, openwsman_tmp_t, { dir file })
+
+manage_files_pattern(openwsman_t, openwsman_tmpfs_t, openwsman_tmpfs_t)
+manage_dirs_pattern(openwsman_t, openwsman_tmpfs_t, openwsman_tmpfs_t)
+fs_tmpfs_filetrans(openwsman_t, openwsman_tmpfs_t, { dir file })
+
+manage_files_pattern(openwsman_t, openwsman_log_t, openwsman_log_t)
+logging_log_filetrans(openwsman_t, openwsman_log_t, { file })
+
+manage_files_pattern(openwsman_t, openwsman_run_t, openwsman_run_t)
+files_pid_filetrans(openwsman_t, openwsman_run_t, { file })
+
+auth_use_nsswitch(openwsman_t)
+auth_domtrans_chkpwd(openwsman_t)
+
+corenet_tcp_connect_pegasus_https_port(openwsman_t)
+corenet_tcp_bind_vnc_port(openwsman_t)
+corenet_tcp_bind_http_port(openwsman_t)
+
+dev_read_urand(openwsman_t)
+
+logging_send_syslog_msg(openwsman_t)
+logging_send_audit_msgs(openwsman_t)
+
+optional_policy(`
+    sblim_stream_connect_sfcbd(openwsman_t)
+    sblim_rw_semaphores_sfcbd(openwsman_t)
+    sblim_getattr_exec_sfcbd(openwsman_t)
+')
+
+optional_policy(`
+    unconfined_domain(openwsman_t)
+')
+
Index: serefpolicy-contrib-20140730/oracleasm.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/oracleasm.fc
@@ -0,0 +1,4 @@
+
+/etc/rc\.d/init\.d/oracleasm	--	gen_context(system_u:object_r:oracleasm_initrc_exec_t,s0)
+
+/usr/sbin/oracleasm		--	gen_context(system_u:object_r:oracleasm_exec_t,s0)
Index: serefpolicy-contrib-20140730/oracleasm.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/oracleasm.if
@@ -0,0 +1,75 @@
+
+## <summary>policy for oracleasm</summary>
+
+########################################
+## <summary>
+##	Transition to oracleasm.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`oracleasm_domtrans',`
+	gen_require(`
+		type oracleasm_t, oracleasm_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, oracleasm_exec_t, oracleasm_t)
+')
+
+
+########################################
+## <summary>
+##	Execute oracleasm server in the oracleasm domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`oracleasm_initrc_domtrans',`
+	gen_require(`
+		type oracleasm_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, oracleasm_initrc_exec_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an oracleasm environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	Role allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`oracleasm_admin',`
+	gen_require(`
+		type oracleasm_t;
+	type oracleasm_initrc_exec_t;
+	')
+
+	allow $1 oracleasm_t:process { ptrace signal_perms };
+	ps_process_pattern($1, oracleasm_t)
+
+	oracleasm_initrc_domtrans($1)
+	domain_system_change_exemption($1)
+	role_transition $2 oracleasm_initrc_exec_t system_r;
+	allow $2 system_r;
+
+')
+
Index: serefpolicy-contrib-20140730/oracleasm.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/oracleasm.te
@@ -0,0 +1,34 @@
+policy_module(oracleasm, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type oracleasm_t;
+type oracleasm_exec_t;
+init_daemon_domain(oracleasm_t, oracleasm_exec_t)
+
+type oracleasm_initrc_exec_t;
+init_script_file(oracleasm_initrc_exec_t)
+
+########################################
+#
+# oracleasm local policy
+#
+
+allow oracleasm_t self:fifo_file rw_fifo_file_perms;
+allow oracleasm_t self:unix_stream_socket create_stream_socket_perms;
+
+domain_use_interactive_fds(oracleasm_t)
+
+corecmd_exec_shell(oracleasm_t)
+corecmd_exec_bin(oracleasm_t)
+
+optional_policy(`
+    mount_domtrans(oracleasm_t)
+')
+
+optional_policy(`
+    modutils_domtrans_insmod(oracleasm_t)
+')
Index: serefpolicy-contrib-20140730/osad.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/osad.fc
@@ -0,0 +1,7 @@
+/etc/rc\.d/init\.d/osad	--	gen_context(system_u:object_r:osad_initrc_exec_t,s0)
+
+/usr/sbin/osad		--	gen_context(system_u:object_r:osad_exec_t,s0)
+
+/var/log/osad		--	gen_context(system_u:object_r:osad_log_t,s0)
+
+/var/run/osad.*		--	gen_context(system_u:object_r:osad_var_run_t,s0)
Index: serefpolicy-contrib-20140730/osad.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/osad.if
@@ -0,0 +1,165 @@
+
+## <summary>Client-side service written in Python that responds to pings and runs rhn_check when told to by osa-dispatcher. </summary>
+
+########################################
+## <summary>
+##	Execute osad in the osad domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`osad_domtrans',`
+	gen_require(`
+		type osad_t, osad_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, osad_exec_t, osad_t)
+')
+
+########################################
+## <summary>
+##	Execute osad server in the osad domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`osad_initrc_domtrans',`
+	gen_require(`
+		type osad_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, osad_initrc_exec_t)
+')
+########################################
+## <summary>
+##	Read osad's log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`osad_read_log',`
+	gen_require(`
+		type osad_log_t;
+	')
+
+	logging_search_logs($1)
+	read_files_pattern($1, osad_log_t, osad_log_t)
+')
+
+########################################
+## <summary>
+##	Append to osad log files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`osad_append_log',`
+	gen_require(`
+		type osad_log_t;
+	')
+
+	logging_search_logs($1)
+	append_files_pattern($1, osad_log_t, osad_log_t)
+')
+
+########################################
+## <summary>
+##	Manage osad log files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`osad_manage_log',`
+	gen_require(`
+		type osad_log_t;
+	')
+
+	logging_search_logs($1)
+	manage_dirs_pattern($1, osad_log_t, osad_log_t)
+	manage_files_pattern($1, osad_log_t, osad_log_t)
+	manage_lnk_files_pattern($1, osad_log_t, osad_log_t)
+')
+########################################
+## <summary>
+##	Read osad PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`osad_read_pid_files',`
+	gen_require(`
+		type osad_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, osad_var_run_t, osad_var_run_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an osad environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <param name="role">
+##	<summary>
+##	Role allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`osad_admin',`
+	gen_require(`
+		type osad_t;
+		type osad_initrc_exec_t;
+		type osad_log_t;
+		type osad_var_run_t;
+	')
+
+	allow $1 osad_t:process { signal_perms };
+	ps_process_pattern($1, osad_t)
+
+    	tunable_policy(`deny_ptrace',`',`
+        	allow $1 osad_t:process ptrace;
+    	')
+
+	osad_initrc_domtrans($1)
+	domain_system_change_exemption($1)
+	role_transition $2 osad_initrc_exec_t system_r;
+	allow $2 system_r;
+
+	logging_search_logs($1)
+	admin_pattern($1, osad_log_t)
+
+	files_search_pids($1)
+	admin_pattern($1, osad_var_run_t)
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/osad.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/osad.te
@@ -0,0 +1,45 @@
+policy_module(osad, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type osad_t;
+type osad_exec_t;
+init_daemon_domain(osad_t, osad_exec_t)
+
+type osad_initrc_exec_t;
+init_script_file(osad_initrc_exec_t)
+
+type osad_log_t;
+logging_log_file(osad_log_t)
+
+type osad_var_run_t;
+files_pid_file(osad_var_run_t)
+
+########################################
+#
+# osad local policy
+#
+allow osad_t self:process setpgid;
+
+manage_files_pattern(osad_t, osad_log_t, osad_log_t)
+logging_log_filetrans(osad_t, osad_log_t, { file })
+
+manage_files_pattern(osad_t, osad_var_run_t, osad_var_run_t)
+files_pid_filetrans(osad_t, osad_var_run_t, { file})
+
+kernel_read_system_state(osad_t)
+
+auth_read_passwd(osad_t)
+
+dev_read_urand(osad_t)
+
+optional_policy(`
+    gnome_dontaudit_search_config(osad_t)
+')
+
+optional_policy(`
+    rhnsd_manage_config(osad_t)
+')
